<?php
if (!defined('DC_RC_PATH')) { return; }
 
require dirname(__FILE__).'/_widgets.php';
require dirname(__FILE__).'/class.dc.catimg.php';
 
$core->tpl->addValue('CategoryImageFile',array('publicCatImgs','getCategoryImageFile')) ;



class publicCatImgs
{

	
	// the widget
	public static function CatImgs($w)
	{
		global $core, $_ctx;
		
	
		$rs = $core->blog->getCategories(array('post_type'=>'post'));
		if ($rs->isEmpty()) {
			return;
		}


	
		$default_img = dcCatImg::getDefaultImg();
		
		// widget div and title
		$res = '<div class="catimgs">'.($w->title ? '<h2>'.html::escapeHTML($w->title).'</h2><div class="catimgscontent">' : '');

		$ref_level = $level = $rs->level-1;
		while ($rs->fetch())
		{
			$class = '';
			if (($core->url->type == 'category' && $_ctx->categories instanceof record && $_ctx->categories->cat_id == $rs->cat_id) || ($core->url->type == 'post' && $_ctx->posts instanceof record && $_ctx->posts->cat_id == $rs->cat_id)) {
				$class = ' class="catimgs-current"';
			}
	
			if ($rs->level > $level) {
				$res .= str_repeat('<ul><li'.$class.'>',$rs->level - $level);
			} elseif ($rs->level < $level) {
				$res .= str_repeat('</li></ul>',-($rs->level - $level));
			}
	
			if ($rs->level <= $level) {
				$res .= '</li><li'.$class.'>';
			}
	
			$res .= '<a href="'.$core->blog->url.$core->url->getBase('category').'/'. $rs->cat_url.'">';
		
			$ret = '<img src="'.dcCatImg::GetImg($rs->cat_desc,$w->size,$w->random).'" alt="'.html::escapeHTML($rs->cat_title).'" title="'.html::escapeHTML($rs->cat_title).'" />'."\n";
			
			$res .=$ret ;

			if ($w->cat_text)
			{
				$res .= '<span>'.html::escapeHTML($rs->cat_title).'</span>';
			}
			
			$res .= '</a>'."\n";

			$level = $rs->level;
	
		}
		if ($ref_level - $level < 0) {
			$res .= str_repeat('</li></ul>',-($ref_level - $level));
		}
		$res .= '</div></div>';

		return $res;
	}

	public static function getCategoryImageFile($attr){

		$ret = 	'<?php'.
						' $res = "" ;'.
						' if (is_object($_ctx->categories))'.
						' {' .
						' $key = $_ctx->categories->cat_desc ; '.
						' } else { ' .
						' $key = $_ctx->posts->cat_desc ; '.
						' } ' .
						' $imgsrc = dcCatImg::GetImg($key,"'.$attr["size"].'",'.$attr["random"].') ;'.
						' $res .= $imgsrc ;'.
						' echo $res ;'.
						' ?>' ;

		return $ret ;
		
	}
}


?>