<?php
if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
# On lit la version du plugin
$m_version = $core->plugins->moduleInfo('catimgs','version');
 
# On lit la version du plugin dans la table des versions
$i_version = $core->getVersion('catimgs');
 
# La version dans la table est supérieure ou égale à
# celle du module, on ne fait rien puisque celui-ci
# est installé
if (version_compare($i_version,$m_version,'>=')) {
	return;
}
 
# La procédure d'installation commence vraiment là

$core->blog->settings = new dcSettings($core,null);
$core->blog->settings->addNamespace('CatImgs');
$core->blog->settings->CatImgs->put('CatImgs_defaultimage_dir','img','string',__('CatImgs Default-Image Directory'),true,false);
$core->blog->settings->CatImgs->put('CatImgs_defaultimage_name','categorie-default.jpg','string',__('CatImgs Default-Image Filename'),true,false);
//$core->blog->settings->setNameSpace('system');

$core->setVersion('catimgs',$m_version);
return true;

?>